## smb4k 2.1.1.1+rb2

=== debian/changelog ===
smb4k (2.1.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:10:51 +0800
