=== debian/changelog ===
smb4k (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5parts-dev, no more needed
    - add libsmbclient-dev
  * Update the filename of the Plasma widget translations to remove.
  * Remove empty directories.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:49:15 +0200
