=== debian/changelog ===
smb4k (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Aug 2019 22:05:36 +0200
