=== debian/changelog ===
smb4k (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Apr 2020 09:25:33 +0200
