=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                pkg-kde-tools (>= 0.15.16),
+               gettext,
                extra-cmake-modules,
                qtbase5-dev,
                qtdeclarative5-dev,
@@ -29,7 +30,7 @@
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libsmbclient-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
