=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# remove unused translations of appdata file
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/org.kde.smb4k.appdata.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete
