=== debian/changelog ===
smb4k (3.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 15 May 2020 14:16:31 +0200
