=== debian/changelog ===
smb4k (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 13:37:38 +0200
