=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
                libkf5xmlgui-dev,
                libsmbclient-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
