=== debian/changelog ===
smb4k (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the smb4k package relationships:
    - remove the sudo recommend, as it seems not needed anymore
    - add the rsync recommend
    - add the konsole suggest
  * CI: disable build-path reprotest variations.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add some upstream metadata fields.
  * Bump the version the watch file to 4, no changes required.
  * Drop the removal of the appdata translations, as they are not shipped
    anymore now.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 00:34:00 +0100
