=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                gettext,
                extra-cmake-modules,
@@ -43,8 +43,8 @@
          smbclient (>= 2:3.4.7~dfsg),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: sudo
-Suggests: kwalletmanager
+Recommends: rsync
+Suggests: konsole, kwalletmanager
 Description: Samba (SMB) share advanced browser
  Smb4K is an advanced network neighborhood browser. It uses the Samba software
  suite to access the shares of the local network neighborhood. Its purpose is
