=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,10 @@
   KF5::KIOCore
   KF5::KIOWidgets
   smb4kcore)
+  
+if (SMB4K_WITH_WS_DISCOVERY)
+  target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
+endif(SMB4K_WITH_WS_DISCOVERY)
 
 ########### Main Application #########################
