=== debian/changelog ===
smb4k (3.0.90-0ubuntu1) impish; urgency=medium

  * New upstream release (3.0.90)
  * Add libkf5dnssd-dev to build depends.
  * Update lintian overrides.
  * Build for now with Arch any, otherwise riscv64 build is missing.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 May 2021 21:03:52 +0100
