=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libkf5coreaddons-dev,
                libkf5crash-dev,
                libkf5dbusaddons-dev,
+               libkf5dnssd-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
@@ -37,7 +38,7 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),
