## smb4k 3.1.0

=== debian/changelog ===
smb4k (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.44.0
    - add libkf5dnssd-dev
  * Update the cmake options according to the upstream build system:
    - drop -DINSTALL_HEADER_FILES=OFF, as it does not exist anymore
    - rename -DINSTALL_PLASMOID=false to -DSMB4K_INSTALL_PLASMOID=false
  * Update lintian overrides.
  * Drop removal of .so symlinks, as there are not anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 14:42:03 +0200
