## smb4k 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # Version
 #
 set(VERSION_MAJOR 3)
-set(VERSION_MINOR 0)
-set(VERSION_PATCH 90)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 1)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
@@ -111,13 +111,16 @@
 check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)
 
 if (NOT HAVE_SMBC_PROTOCOL)
-  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
+  message(WARNING "The function smbc_setOptionProtocols() is missing in Samba's client library's header file. The ability to set protocol versions for Samba's client library will be disabled.")
 endif()
 
 # Find KDSoap client
 if (SMB4K_WITH_WS_DISCOVERY)
-  find_package(KDSoap 1.9.0 REQUIRED)
-  find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
+    message(STATUS "Building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=OFF to disable)")
+    find_package(KDSoap 1.9.0 REQUIRED)
+    find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
+elseif(NOT SMB4K_WITH_WS_DISCOVERY)
+    message(STATUS "Not building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=ON to enable)")
 endif(SMB4K_WITH_WS_DISCOVERY)
 
 #
