=== debian/changelog ===
smb4k (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: disable the blhc job.
  * debian/upstream/metadata: add bug entries.
  * Rename bug-presubj to smb4k.bug-presubj, and docs to smb4k.docs to make it
    explicit to which package they refer to.
  * debian/smb4k.bug-presubj: update URL of the upstream bug tracker.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Sep 2021 19:19:51 +0200
