=== smb4k/icons/oxygen/CMakeLists.txt ===
ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME oxygen   )
