=== debian/changelog ===
smb4k (3.1.2-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (3.1.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Apr 2022 09:16:53 +0100
