=== debian/control ===
--- 
+++ 
@@ -7,38 +7,38 @@
                debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                gettext,
-               extra-cmake-modules,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               libkf5auth-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5dnssd-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5jobwidgets-dev,
-               libkf5kio-dev,
-               libkf5notifications-dev,
-               libkf5plasma-dev,
-               libkf5solid-dev,
-               libkf5wallet-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.44.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               libkf5auth-dev (>= 5.44.0~),
+               libkf5completion-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
+               libkf5configwidgets-dev (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5crash-dev (>= 5.44.0~),
+               libkf5dbusaddons-dev (>= 5.44.0~),
+               libkf5dnssd-dev (>= 5.44.0~),
+               libkf5doctools-dev (>= 5.44.0~),
+               libkf5i18n-dev (>= 5.44.0~),
+               libkf5iconthemes-dev (>= 5.44.0~),
+               libkf5jobwidgets-dev (>= 5.44.0~),
+               libkf5kio-dev (>= 5.44.0~),
+               libkf5notifications-dev (>= 5.44.0~),
+               libkf5plasma-dev (>= 5.44.0~),
+               libkf5solid-dev (>= 5.44.0~),
+               libkf5wallet-dev (>= 5.44.0~),
+               libkf5widgetsaddons-dev (>= 5.44.0~),
+               libkf5windowsystem-dev (>= 5.44.0~),
+               libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),
