## smb4k 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 3)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
