=== debian/changelog ===
smb4k (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jul 2022 06:01:36 +0200

smb4k (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again the blhc job.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Apr 2022 20:08:18 +0200
