=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.2),
                debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
@@ -31,7 +31,7 @@
                libkf5windowsystem-dev (>= 5.44.0~),
                libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
