=== debian/changelog ===
smb4k (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in Homepage field.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Nov 2022 06:34:00 +0100
