=== debian/changelog ===
smb4k (3.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 09:52:09 +0100
