=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libsmbclient-dev,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://smb4k.sourceforge.net/
+Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
