=== plasmoid/CMakeLists.txt ===
project(smb4kqml)

add_subdirectory(plugin)

plasma_install_package(package org.kde.smb4kqml)
