=== smb4k/icons/hicolor/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
                    32-apps-smb4k.png
                    22-apps-smb4k.png
                    16-apps-smb4k.png
-                   DESTINATION  ${KDE_INSTALL_ICONDIR}
+                   DESTINATION  ${ICON_INSTALL_DIR}
                    THEME hicolor   )
