=== debian/changelog ===
smb4k (3.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 12:10:00 +0100
