=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf5windowsystem-dev (>= 5.44.0~),
                libkf5xmlgui-dev (>= 5.44.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
