## smb4k 3.1.81

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
+# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 #
 # Project
 #
@@ -8,14 +12,14 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 7)
+set(VERSION_PATCH 81)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #
 # Minimum required CMake version
 #
-cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 #
 # CMake policies
@@ -29,17 +33,11 @@
 #
 # Minimum required versions of Qt5 and KF5
 #
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.44.0")
+# set(QT_MIN_VERSION "5.15.2")
+# set(KF5_MIN_VERSION "5.98.0")
 
-#
-# Adjustments
-#
-if(KF5_VERSION VERSION_GREATER "5.55.0")
-    set(AUTHLIB KF5::AuthCore)
-else()
-    set(AUTHLIB KF5::Auth)
-endif()
+set(QT_MIN_VERSION "5.14.0")
+set(KF5_MIN_VERSION "5.80.0")
 
 #
 # Options for building Smb4K
@@ -63,8 +61,18 @@
 include(ECMInstallIcons)
 include(ECMSetupVersion)
 include(CheckSymbolExists)
+include(KDEClangFormat)
 
+#
+# Version
+# 
 ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)
+
+#
+# Source code formatting
+# 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 # Qt5 modules
 find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
@@ -72,7 +80,6 @@
 find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5Qml ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)
 
 # KF5 modules
@@ -111,7 +118,7 @@
 check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)
 
 if (NOT HAVE_SMBC_PROTOCOL)
-  message(WARNING "The function smbc_setOptionProtocols() is missing in Samba's client library's header file. The ability to set protocol versions for Samba's client library will be disabled.")
+  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
 endif()
 
 # Find KDSoap client
@@ -130,15 +137,14 @@
 if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
   set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)
 
 #
 # Make sure that all libraries, plugins, etc. are installed
 # into the right place.
 #
-set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOLEAN "Use Qt system paths for installation" FORCE)
+set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Use Qt system paths for installation" FORCE)
 
 #
 # Add subdirectories
