=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,12 @@
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: 2009-2022 Raymond Wooninck <tittiatcoke@gmail.com>
+
+#
+# KDSoap WS Discovery client uses 'signals' and 'slots'
+# 
+remove_definitions(
+  -DQT_NO_KEYWORDS)
+
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
@@ -58,13 +67,12 @@
   Qt5::Core
   Qt5::Widgets
   Qt5::Gui
-  Qt5::Test
   Qt5::PrintSupport
   Qt5::Network
   Qt5::Qml
   KF5::ConfigCore
   KF5::ConfigGui
-  ${AUTHLIB}
+  KF5::AuthCore
   KF5::IconThemes
   KF5::I18n
   KF5::Completion
@@ -78,6 +86,11 @@
   KF5::XmlGui
   KF5::DNSSD
   ${LIBSMBCLIENT_LIBRARIES})
+    
+#
+# KI18N Translation Domain for library
+#
+add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")
 
 install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})
 
@@ -86,9 +99,6 @@
   target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
 endif(SMB4K_WITH_WS_DISCOVERY)
 
-if (HAVE_SMBC_PROTOCOL)
-  target_compile_definitions(smb4kcore PRIVATE USE_SMBC_PROTOCOL=${HAVE_SMBC_PROTOCOL})
-endif(HAVE_SMBC_PROTOCOL)
 
 ########### install files ###############
