=== debian/changelog ===
smb4k (3.1.81-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.2
    - bump the KF packages to 5.98.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Install README.md instead of README as documentation (it was
    renamed/converted upstream).

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 12:07:49 +0100
