=== debian/control ===
--- 
+++ 
@@ -3,39 +3,39 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.2),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               pkg-kde-tools (>= 0.15.16),
+               dh-sequence-kf5,
                gettext,
-               extra-cmake-modules (>= 5.44.0~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               libkf5auth-dev (>= 5.44.0~),
-               libkf5completion-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5configwidgets-dev (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5crash-dev (>= 5.44.0~),
-               libkf5dbusaddons-dev (>= 5.44.0~),
-               libkf5dnssd-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5jobwidgets-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5notifications-dev (>= 5.44.0~),
-               libkf5plasma-dev (>= 5.44.0~),
-               libkf5solid-dev (>= 5.44.0~),
-               libkf5wallet-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
-               libkf5windowsystem-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               libkf5auth-dev (>= 5.98.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5dnssd-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5jobwidgets-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5plasma-dev (>= 5.98.0~),
+               libkf5solid-dev (>= 5.98.0~),
+               libkf5wallet-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libsmbclient-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental
 
 Package: smb4k
 Architecture: kfreebsd-any linux-any
